Zabbix Documentation 4.0

3.04.04.4 (current)| In development:5.0 (devel)| Unsupported:1.82.02.22.43.23.44.2Guidelines

User Tools

Site Tools

This translation is older than the original page and might be outdated. See what has changed.

Sidebar

fr:manual:installation:known_issues

7 Problèmes connus

Corrélation d’événements

Les événements peuvent ne pas être corrélés correctement si l'intervalle de temps entre le premier et le deuxième événement est trop petit, c'est-à-dire une demi-seconde et moins.

Vérifications IPMI

Les vérifications IPMI ne fonctionneront pas avec le paquet de la bibliothèque standard OpenIPMI sur Debian avant 9 (stretch) et Ubuntu avant 16.04 (xenial). Pour résoudre ce problème, recompilez la bibliothèque OpenIPMI avec OpenSSL activé comme indiqué dans ZBX-6139.

Vérifications SSH

Certaines distributions Linux comme Debian et Ubuntu ne supportent pas les clés privées cryptées (avec phrase secrète) si la bibliothèque libssh2 est installée à partir des packages. Voir ZBX-4850 pour plus de détails.

Vérifications ODBC

Le serveur Zabbix ou le proxy qui utilise MySQL comme base de données peut ou ne peut pas fonctionner correctement avec la bibliothèque MySQL ODBC en raison d'un bug en amont. Voir ZBX-7665 pour plus d'informations et les solutions de contournement disponibles.

Les données XML interrogées à partir de Microsoft SQL Server peuvent être tronquées à 2033 caractères en raison d'un problème Microsoft.

Vérifications HTTPS

Les scénarios Web utilisant le protocole https et les vérifications d'agent Zabbix net.tcp.service[https…] et net.tcp.service.perf[https…] peuvent échouer si le serveur cible est configuré pour interdire le protocole TLS v1.0 ou inférieur. Voir ZBX-9879 pour plus d'informations et les solutions de contournement disponibles.

Surveillance Web et agent HTTP

Le serveur Zabbix perd de la mémoire sur CentOS 6, CentOS 7 et éventuellement d'autres distributions Linux associées en raison d'un bug courant lorsque "SSL verify peer" est activé dans les scénarios Web ou dans l'agent HTTP. Veuillez consulter ZBX-10486 pour plus d'informations et connaître les solutions de contournement disponibles.

Vérifications Simples

Il y a un bug dans les versions de fping antérieures à la version v3.10 qui traite mal les paquets echo replay dupliqués. Cela peut provoquer des résultats inattendus pour les éléments icmpping, icmppingloss, icmppingsec. Il est recommandé d'utiliser la dernière version de fping. Voir ZBX-11726 pour plus de détails.

Vérifications SNMP

Si le système d'exploitation OpenBSD est utilisé, un bug dans la bibliothèque Net-SNMP jusqu'à la version 5.7.3 peut provoquer un plantage du serveur Zabbix si le paramètre SourceIP est défini dans le fichier de configuration du serveur Zabbix. Pour contourner le problème, ne définissez pas le paramètre SourceIP. Le même problème s'applique également à Linux, mais cela n'empêche pas le serveur Zabbix de fonctionner. Un correctif local pour le package net-snmp sur OpenBSD a été appliqué et sera publié avec OpenBSD 6.3.

Récupération des environnements locaux de l'interface Web

Il a été observé que les paramètres régionaux peuvent basculer sans logique apparente. Une solution connue consiste à désactiver le multithreading dans PHP et Apache. Veuillez consulter ZBX-10911 pour plus d'informations.

Problème de compatibilité avec PHP 7.0

Il a été observé qu'avec PHP 7.0, l'importation d'un modèle avec des déclencheurs de surveillance Web peut échouer en raison de l'ajout incorrect de doubles guillemets aux éléments de surveillance Web dans les expressions de déclencheur. Le problème disparaît lors de la mise à jour de PHP vers la version 7.1.

Configuration opcache de PHP 7.3

Si "opcache" est activé dans la configuration PHP 7.3, l'interface web de Zabbix peut afficher un écran vide lors de son premier chargement. Ceci est un bug PHP enregistré. Pour résoudre ce problème, définissez le paramètre "opcache.optimization_level" sur 0x7FFFBFDF dans la configuration PHP (fichier php.ini).

Graphiques

Les modifications apportées à l'heure d'été (DST) entraînent des irrégularités lors de l'affichage des libellés de l'axe X (duplicat de date, date manquante, etc.).

Supervision de fichier journaux

Les éléments log[] et logrt[] relisent de manière répétée le fichier de logs depuis le début si le système de fichiers est plein à 100% et que de nouvelles entrées sont ajoutées au fichier journal (voir ZBX-10884 pour plus d'informations).

Requêtes MySQL lentes

Le serveur Zabbix génère des requêtes SELECT lentes en cas de valeurs non existantes pour les éléments. Ceci est dû à un problème connu dans les versions MySQL 5.6/5.7. Une solution de contournement consiste à désactiver l'optimiseur index_condition_pushdown dans MySQL. Pour une discussion approfondie, voir ZBX-10652.

API

Le paramètre de sortie ne fonctionne pas correctement avec la méthode history.get.

Accès API

Un grand nombre de sessions utilisateur ouvertes peuvent être créées lors de l'utilisation de scripts personnalisés avec la méthode user.login sans la présence du paramètre user.logout ensuite.

Problème d’adresse IPv6 dans les traps SNMPv3

En raison d'un bug net-snmp, l'adresse IPv6 peut ne pas s'afficher correctement lors de l'utilisation de SNMPv3 dans des traps SNMP. Pour plus de détails et une solution possible, voir ZBX-14541.

Problème avec IE11 pour redimensionner les cartes dans les widgets de tableau de bord

Les cartes, dans Internet Explorer 11, sont coupées du côté droit si le contenu de la carte est plus grand que la zone du widget du tableau de bord (au lieu d'être redimensionné proportionnellement). Cela est intentionnel en raison d'un problème lié à IE11 lié au redimensionnement correct des images SVG.

Problèmes connus pour 4.0.0

  • Le mode plein écran des tableaux de bord n'est pas accessible avec les paramètres d'URL suivant : /​zabbix.php?​action=dashboard.view&​fullscreen=1​. Corrigé dans la version 4.0.1.
  • Lors du filtrage des déclencheurs dans SurveillanceAperçu (déclencheurs), la gravité du déclencheur au lieu de la gravité du problème est prise en compte.

Problèmes connus pour 4.0.0, 4.0.1

La mise à jour de Zabbix 3.0 vers 4.0.0 et 4.0.1 ne remplace pas les macros {TRIGGER.NAME} par des macros {EVENT.NAME} comme il se doit. Fixé en 4.0.2.

Problèmes connus pour 4.0.0 - 4.0.2

Si la requête Vérifier maintenant est effectuée à partir de la liste des éléments pour les éléments qui ne le prennent pas en charge (éléments de modèle, éléments de l'agent actif, etc.), un message 'Requête envoyée avec succès' s'affiche même si la fonctionnalité ne fonctionne pas pour ces éléments. Corrigé dans 4.0.3, en affichant un message d'erreur correspondant.

Problèmes connus pour 4.0.2

  • La sélection de groupe d'hôtes parent ne fonctionne pas au endroits suivants :
    • Le filtre ​Surveillance​ → ​Problèmes
    • Les widgets dans ​Surveillance​ → ​Tableau de Bord​ avec une sélection de groupe d'hôte ​
    • Le filtre RapportsTop 100 des déclencheurs

Problèmes connus pour 4.0.0 - 4.0.3

Problème connus dans la version 4.0.3

  • Si un élément est supprimé qui a un déclencheur créé via une découverte de bas niveau, le déclencheur n'est pas supprimé. cela engendre des problèmes "orphelins" (sans élément/hôte) affichés dans la vue des problèmes. De la même manière, si un élément est supprimé qui a un élément dépendant créé via une découverte de bas niveau ; l'élément dépendant n'est pas supprimé. Corrigé en version 4.0.4.

Problèmes connus à partir de 4.0.3

Le message de tentative de connexion ayant échoué a été modifié pour afficher uniquement les 39 premiers caractères d'une adresse IP enregistrée (limite du champs de la base de données. Cela signifie que les adresse IPv6 de plus de 39 caractères seront affichées de manière incomplète.

Problèmes connus pour 4.0.0 - 4.0.5

  • L'élément net.dns[] de l'agent Zabbix ne supporte pas les adresses IPv6 dans le premier argument. Corrigé dans la version 4.0.6.

Problèmes connus pour 4.0.6, 4.0.7

  • Les pollers IPMI ne peuvent pas traiter plus de 60 éléments à la minute. Fixé dans 4.0.8.
  • Vous pouvez rencontrer le problème d'utilisation à 100% du processeur par les pollers IPMI si vous utilisez OpenIPMI version 2.0.26 et ultérieure. Fixé dans 4.0.8.